#!/usr/bin/env perl

use strict; use warnings;

my $processing = 0;
my @lines;
LINE: while (<>) {
    if ($processing or m/^neighbor$/) {
        if (not ($processing)) {
            @lines = ();
        }
        # print "Processing file\n";
        $processing = 1;
        push @lines, $_;
        if (m/^}$/) {
            # print "Found end of neighbor section\n";
            $processing = 0;
            foreach my $line (@lines) {
                if ($line =~ /endhost/) {
                    # print "Matches endhost. Not printing\n";
                    next LINE;
                }
            }
            foreach my $line (@lines) {
                print $line;
            }
        }
    }
    else {
        print;
    }
}
